# -*- encoding: utf-8 -*-
# stub: xcoed 1.0.1 ruby lib

Gem::Specification.new do |s|
  s.name = "xcoed".freeze
  s.version = "1.0.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Igor Makarov".freeze]
  s.date = "2021-07-26"
  s.description = "Automate adding Swift PM packages to an Xcode project using a regular `Package.swift` file.".freeze
  s.email = ["igormaka@gmail.com".freeze]
  s.executables = ["xcoed".freeze]
  s.files = ["bin/xcoed".freeze]
  s.homepage = "https://github.com/igor-makarov/xcoed/".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Add Swift Packages to an Xcode Project".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<hooks>.freeze, ["~> 0.4.1"])
    s.add_runtime_dependency(%q<xcodeproj>.freeze, ["< 2.0.0", ">= 1.10.0"])
    s.add_runtime_dependency(%q<activesupport>.freeze, ["< 6"])
    s.add_development_dependency(%q<bundler>.freeze, [">= 1.10"])
    s.add_development_dependency(%q<os>.freeze, ["~> 1.0"])
    s.add_development_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_development_dependency(%q<pry-rescue>.freeze, [">= 0"])
    s.add_development_dependency(%q<pry-stack_explorer>.freeze, [">= 0"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 12.0"])
    s.add_development_dependency(%q<rb-readline>.freeze, ["~> 0.5.4"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.4.0"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.64.0"])
    s.add_development_dependency(%q<rubocop-git>.freeze, ["~> 0.1.1"])
    s.add_development_dependency(%q<simplecov>.freeze, [">= 0"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.9"])
  else
    s.add_dependency(%q<hooks>.freeze, ["~> 0.4.1"])
    s.add_dependency(%q<xcodeproj>.freeze, ["< 2.0.0", ">= 1.10.0"])
    s.add_dependency(%q<activesupport>.freeze, ["< 6"])
    s.add_dependency(%q<bundler>.freeze, [">= 1.10"])
    s.add_dependency(%q<os>.freeze, ["~> 1.0"])
    s.add_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_dependency(%q<pry-rescue>.freeze, [">= 0"])
    s.add_dependency(%q<pry-stack_explorer>.freeze, [">= 0"])
    s.add_dependency(%q<rake>.freeze, ["~> 12.0"])
    s.add_dependency(%q<rb-readline>.freeze, ["~> 0.5.4"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.4.0"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.64.0"])
    s.add_dependency(%q<rubocop-git>.freeze, ["~> 0.1.1"])
    s.add_dependency(%q<simplecov>.freeze, [">= 0"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.9"])
  end
end
